---
updatedAt: 2025-09-24T00:06:22.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get a single transaction

Retrieve the details of a single transaction.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/transactions/{id}": {
      "get": {
        "summary": "Get a single transaction",
        "description": "Retrieve the details of a single transaction.",
        "operationId": "show-a-transaction",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Transaction id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": 1000013102238,\n  \"clean_description\": \"CB Monop Paris\",\n  \"bank_description\": \"Paiement Carte 029412 75 monop paris\",\n  \"amount\": -9.39,\n  \"date\": \"2019-04-06\",\n  \"booking_date\": \"2023-04-05\",\n  \"transaction_date\": \"2019-04-07\",\n  \"value_date\": \"2019-04-06\",\n  \"updated_at\": \"2016-02-22T13:27:53Z\",\n  \"currency_code\": \"EUR\",\n  \"is_deleted\": false,\n  \"category_id\": 168,\n  \"account_id\": 2341339,\n  \"is_future\": false,\n  \"show_client_side\": true\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 1000013102238,
                      "default": 0
                    },
                    "clean_description": {
                      "type": "string",
                      "example": "CB Monop Paris"
                    },
                    "bank_description": {
                      "type": "string",
                      "example": "Paiement Carte 029412 75 monop paris"
                    },
                    "amount": {
                      "type": "number",
                      "example": -9.39,
                      "default": 0
                    },
                    "date": {
                      "type": "string",
                      "example": "2019-04-06"
                    },
                    "booking_date": {
                      "type": "string",
                      "example": "2023-04-05"
                    },
                    "transaction_date": {
                      "type": "string",
                      "example": "2019-04-07"
                    },
                    "value_date": {
                      "type": "string",
                      "example": "2019-04-06"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2016-02-22T13:27:53Z"
                    },
                    "currency_code": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "is_deleted": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "category_id": {
                      "type": "integer",
                      "example": 168,
                      "default": 0
                    },
                    "account_id": {
                      "type": "integer",
                      "example": 2341339,
                      "default": 0
                    },
                    "is_future": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "show_client_side": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/transactions/1000013102238' \\\n\t-X GET \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```